Subject: [Ietf-krb-wg] Proposed Scope of a FAST implementation--would you test against this?

From: Sam Hartman <[email-masked]>
Date: Thu, 29 Jan 2009 14:42:31 -0500

Hi.  I'm nearing the end of an effort to scope out what would be
involved in an implementation of FAST for MIT Kerberos.  One of the
big desires in such an effort would be to find someone else to test
against.  I want to stress that this is a scoping effort: while I'd
love to actually execute on this I have no specific plans to do so at
this time and I don't know of anyone else who has plans either.

However it would be very useful to determine if the functional
requirements and the subset of the pre-authentication framework we're
looking at would be something that others would want to test against
if it were available.

Anyone else out there interested in testing against an implementation
of FAST meeting these functional requirements?  If not, are there
additional functional requirements that would make you more
interested?

The entire write-up can be found at http://k5wiki.kerberos.org/wiki/Projects/FAST .

The functional requirements are as follows:

     * Support for FAST in the AS and TGS in clients and KDCs
          * Support for armor tickets obtained from host TGTs sufficient for pam_krb5 to use
                 FAST.
                      * Support for PA-FX-COOKIE
                           * Support for Encrypted Challenge
                                * Support for ad-fx-fast-armor in the TGS
                                     * Support for FAST factors in the existing plugin interface
                                          * Support for KRB_FX_CF2
                                          
_______________________________________________
ietf-krb-wg mailing list
[email-masked]
https://lists.anl.gov/mailman/listinfo/ietf-krb-wg